################################################################################
# cabernetwork
# https://github.com/cabernetwork/cabernet/blob/master/docker-compose.yml
################################################################################

version: "3.8"
services:
    cabernet:
        image: ghcr.io/cabernetwork/cabernet:latest # Or a specific version
        container_name: cabernet
        ports:
            - "6077:6077" # Web UI port
            - "5004:5004" # Stream port
        volumes:
            - cabernet_data:/app/data # Persist configuration and data
            - cabernet_plugins:/app/plugins_ext # Persist plugins
        restart: unless-stopped

volumes:
    cabernet_data:
        name: cabernet_data
        driver_opts:
            type: nfs
            o: addr=truenas,nolock,soft,rw
            device: :/mnt/store/vault/app/cabernet/cabernet_data
    cabernet_plugins:
        name: cabernet_plugins
        driver_opts:
            type: nfs
            o: addr=truenas,nolock,soft,rw
            device: :/mnt/store/vault/app/cabernet/cabernet_plugins
